FROM node:16

WORKDIR /docker

COPY package.json ./
COPY yarn.lock ./

RUN yarn

COPY . .

ENV TZ=Europe/Paris 
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

CMD ["node", "index.js"]
